selinux-basics_0.5.2_all.deb


Advertisement

Description

selinux-basics - SELinux basic support

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe i386
Package name selinux-basics
Package version 0.5.2
Package architecture all
Package type deb
Installed size 87 B
Download size 14.62 KB
Official Mirror archive.ubuntu.com
This package will pull in basic SELinux stuff to ease installation, as well
as provide scripts and helpers to work around common problems.

Alternatives

Package Version Architecture Repository
selinux-basics_0.5.2_all.deb 0.5.2 all Ubuntu Universe
selinux-basics - - -

Requires

Name Value
checkpolicy -
policycoreutils -
python:any >= 2.7.1-0ubuntu2
selinux-utils -

Download

Type URL
Binary Package selinux-basics_0.5.2_all.deb
Source Package selinux-basics

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install selinux-basics deb package:
    # sudo apt-get install selinux-basics

Files

Path
/etc/init.d/selinux-basics
/usr/sbin/check-selinux-installation
/usr/sbin/postfix-nochroot
/usr/sbin/selinux-activate
/usr/sbin/selinux-config-enforcing
/usr/sbin/selinux-policy-upgrade
/usr/share/doc/selinux-basics/README
/usr/share/doc/selinux-basics/changelog.gz
/usr/share/doc/selinux-basics/copyright
/usr/share/man/man8/check-selinux-installation.8.gz
/usr/share/man/man8/postfix-nochroot.8.gz
/usr/share/man/man8/selinux-config-enforcing.8.gz
/usr/share/man/man8/selinux-policy-upgrade.8.gz
/usr/share/python/runtime.d/selinux-basics.rtupdate
/usr/share/selinux-basics/tests/00_selinuxenabled.py
/usr/share/selinux-basics/tests/01_verify_init.py
/usr/share/selinux-basics/tests/02_verify_slash_selinux.py
/usr/share/selinux-basics/tests/10_test_kernel_processes.py
/usr/share/selinux-basics/tests/20_old-style-ttys.py
/usr/share/selinux-basics/tests/21_pam.py
/usr/share/selinux-basics/tests/22_postfix.py
/usr/share/selinux-basics/tests/24_fsckfix.py
/usr/share/selinux-basics/tests/25_udev_relabel.py

Changelog

2013-09-20 - Laurent Bigonville <bigon@debian.org>
selinux-basics (0.5.2) unstable; urgency=low
[ Mika Pflüger ]
* Team upload.
* selinux-policy-upgrade: Support bz2-encrypted binary policy modules.
* selinux-policy-upgrade: Remove the addition of milter.pp when dkim.pp
is loaded, it is not necessary anymore.
[ Laurent Bigonville ]
* debian/control:
- Bump Standards-Version to 3.9.4 (no further changes)
- Use canonical URL for Vcs-Svn field
2012-12-15 - Laurent Bigonville <bigon@debian.org>
selinux-basics (0.5.1) experimental; urgency=low
* Team upload.
* Switch to dpkg-source 3.0 (native) format
* Switch to dh sequence and dh_python2
* debian/control:
- Bump Standards-Version to 3.9.3 (no further changes)
- Add ${misc:Depends} to the dependencies
- Update Vcs-* fields
- Add X-Python-Version field
- Put under the Debian SELinux team maintenance
- Use a Breaks instead of a versionized Conflicts
* Remove udev rules, legacy ptys are not enabled in the kernel since squeeze
(Closes: #622563)
* tests/21_pam.py: Fix detection whether selinux pam module is called from
login service (Closes: #531660)
* Fix python 2.6 deprecations in several tests, thanks to Robert Bihlmeyer
for the patches (Closes: #585354, #654608)
* Add debian/gbp.conf file
* tests/21_pam.py: Fix path of the pam service file
* tests/02_verify_slash_selinux.py: Add support for /sys/fs/selinux
directory
* debian/selinux-basics.postinst: Only run update-grub if a configuration
has been modified
* selinux-activate: wdm PAM service now contains the required calls to the
Selinux PAM modules
2012-01-25 - Russell Coker <russell@coker.com.au>
selinux-basics (0.5.0) unstable; urgency=low
* Support the security=selinux command line option in selinux-activate and
add it on package upgrade if selinux=1 is being used.
2011-01-23 - Russell Coker <russell@coker.com.au>
selinux-basics (0.3.8) unstable; urgency=low
* Made selinux-policy-upgrade load milter.pp when dkim.pp is loaded, needed
for a clean upgrade from Lenny.
2011-01-07 - Russell Coker <russell@coker.com.au>
selinux-basics (0.3.7) unstable; urgency=low
* Made selinux-policy-upgrade remove the obsolete modules procmail and
tmpreaper.  Also made it conflict with old versions of policy that might
contain such modules.
Closes: #584782
* Use "set -e" instead of "#!/bin/sh -e" on scripts.
2010-04-16 - Russell Coker <russell@coker.com.au>
selinux-basics (0.3.6) unstable; urgency=low
* selinux-activate no longer touches /etc/pam.d/login - the default should
be OK.  Also made it update the configuration of grub2.
2010-02-13 - gregor herrmann <gregoa@debian.org>
selinux-basics (0.3.5+nmu2) unstable; urgency=low
* Non-maintainer upload.
* Fix "fails to install" by calling dh_installdirs in debian/rules,
otherwise the directory for the symlink is missing (closes: #566576).
2009-10-10 - Petter Reinholdtsen <pere@debian.org>
selinux-basics (0.3.5+nmu1) unstable; urgency=low
* Non-maintainer upload to fix release goal.
* Add $remote_fs as init.d script dependency (Closes: #541765).
2008-09-15 - Russell Coker <russell@coker.com.au>
selinux-basics (0.3.5) unstable; urgency=low
* Added selinux-config-enforcing to set enforcing mode.
Closes: #498973
* Only recommend selinux-policy-default, no other policy.
* Updated the man pages to refer to each other.
2008-09-09 - Russell Coker <russell@coker.com.au>
selinux-basics (0.3.4) unstable; urgency=low
* Take ownership of the package (temporarily at least).
* Made selinux-activate work on systems without GRUB.
Closes: #498324
* Made selinux-policy-upgrade work when there are local modules.
Closes: #498323

See Also

Package Description
selinux-policy-default_2.20140421-9_all.deb Strict and Targeted variants of the SELinux policy
selinux-policy-dev_2.20140421-9_all.deb Headers from the SELinux reference policy for building modules
selinux-policy-doc_2.20140421-9_all.deb Documentation for the SELinux reference policy
selinux-policy-dummy_0.1_all.deb Empty Security-Enhanced Linux policy (dummy package)
selinux-policy-mls_2.20140421-9_all.deb MLS (Multi Level Security) variant of the SELinux policy
selinux-policy-src_2.20140421-9_all.deb Source of the SELinux reference policy for customization
selinux-policy-ubuntu-dev_0.2.20091117-0ubuntu2_all.deb Security-Enhanced Linux Reference Policy Development Headers
selinux-policy-ubuntu-doc_0.2.20091117-0ubuntu2_all.deb Security-Enhanced Linux Reference Policy Documentation
selinux-policy-ubuntu_0.2.20091117-0ubuntu2_all.deb Security-Enhanced Linux Reference Policy
selinux-utils_2.4-3build2_i386.deb SELinux utility programs
selinux_0.11_all.deb Security-Enhanced Linux runtime support
semanticscuttle_0.98.5+dfsg-1ubuntu1_all.deb Self-hosted and web-based social bookmark manager
semantik_0.8.4-0ubuntu2_i386.deb mindmapping-like tool for KDE
semi_1.14.7~0.20120428-18_all.deb library to provide MIME feature for emacsen
sen_0.2.2-2_i386.deb Terminal user interface for docker engine
Advertisement
Advertisement